package po

import (
	"time"
)

type Activity struct {
	ID               int    `json:"id"`
	Category         string `json:"category"`
	Name             string `json:"name"`
	Image            string `json:"image"`
	Credit           int    `json:"credit"`
	TeacherAvailable int    `json:"teacher_available"`
}

func (a Activity) TableName() string {
	return "activities"
}

type UserActivity struct {
	ID     int `json:"id"`
	UserID int `json:"user_id"`
	UserActivityForm
	Status    int       `json:"status"`
	Day       string    `json:"day"`
	Credit    int       `json:"credit"`
	CreatedAt time.Time `json:"created_at"`
	UpdatedAt time.Time `json:"updated_at"`
}

func (u UserActivity) TableName() string {
	return "user_activity"
}

type UserActivityForm struct {
	ActivityID int    `json:"activity_id" form:"activity_id" binding:"required"`
	Files      string `json:"files" form:"files" binding:"required"`
}

func (u UserActivityForm) Validate() error {
	//for _, filename := range strings.Split(u.Files, ",") {
	//	if err := util.ValidateFilename(filename); err != nil {
	//		return err
	//	}
	//}
	return nil
}
